demos::widget_lib::slide(3pm)

NAME
Tk::SlideSwitch - a 2 position horizontal or vertical switch.

SYNOPSIS
 use Tk::SlideSwitch;

 my $sl = $frame1->SlideSwitch(
     -bg          => 'gray',
     -orient      => 'horizontal',
     -command     => [$self => 'on'],
     -llabel      => [-text => 'OFF', -foreground => 'blue'],
     -rlabel      => [-text => 'ON',  -foreground => 'blue'],
     -troughcolor => 'tan',
 )->pack(qw/-side left -expand 1/);

DESCRIPTION
Tk::SlideSwitch is a Frame based composite mega-widget featuring a binary Scale widget surrounded by two Label widgets. The Scale's value can be either 0 or 1. The Labels are positioned to the left and right of the Scale if its orientation is horizontal, else on the top and bottom of the Scale.

OPTIONS
In addition to all Scale options, the following option/value pairs are also supported:

-llabel
    A reference to an array of left (or top) Label configuration options.

-rlabel
    A reference to an array of right (or bottom) Label configuration options.

METHODS
There are no special methods.

ADVERTISED WIDGETS
Component subwidgets can be accessed via the Subwidget method. This mega widget has no advertised subwidgets.

EXAMPLE
See Synopsis.

BUGS
This widget uses only the pack geometry manager.

AUTHOR
sol0@Lehigh.EDU

Copyright (C) 2002 - 2003, Steve Lidie. All rights reserved.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

KEYWORDS
SlideSwitch, Scale